March 02, 2015 17:03 - Marcin Kocur
Description

Hello,

I'm using up-to-date Archlinux 64-bit and today I upgraded system which included audacious as well.

[2015-03-02 16:19] [ALPM] upgraded audacious (3.5.2-2 -> 3.6-2)

[2015-03-02 16:19] [ALPM] upgraded audacious-plugins (3.5.2-2 -> 3.6-2)

Issues after update:

1. No sound, no GUI, however I can observe in netstat that audacious connected to the internet radio I listened before update. I also

saw in system monitor that it was downloading the stream as usual. Fixed in /home/mk/.config/audacious/config, there was a line:

show_interface=FALSE

I was reporting this once as I remember, I can't understand why audacious would change this value after update. Changed to TRUE

and GUI appeared, as well as sound.

2. The GUI appeared was the GTK one, no Winap classic I had previously. Changed in settings, it worked as expected.

3. I had no tray icon after update, I had to enable it in settings, though it was enabled and displayed before update.

If you could please look at those issues and maybe publish a fast bugfix release. Thanks for your great work!

History

#1 - March 02, 2015 17:19 - Marcin Kocur

Global shortcuts and AOSD were disabled after update as well.

#2 - March 02, 2015 20:16 - John Lindgren

Optional plugins do get disabled after the update (also causing the switch back to GTKUI).  This happens every few releases when the format of the

plugin-registry file changes.  I can try to come up with some code to import the old file from 3.5 for the next point release (3.6.1).

I expect you had Audacious minimized to the tray icon when you last quit before the update?  That would explain the "show_interface=FALSE".  And

of course that would cause trouble when the tray icon got disabled by the update ...

No sound at first would be expected, since the default is now to pause any playing stream when the program is restarted.  (This change was

mentioned in the release announcement.)  But there is an option to change back to the old resume behavior if you like that better.

#3 - March 02, 2015 22:44 - Marcin Kocur

Thanks for your answer. Yes, I thought that no sound could be caused by this change and yes (I read release notes), you're right, audacious was

minimized to an icon which was not visible because it got disabled, as you explained.

Please think about an avarage *buntu user to whom audacious just got broken after upgrade and who doesn't know where to look for configuration
files. I think this is an issue that it is possible to run audacious without a gui (although I know that there are some people who actually want this). But

for majority, if they are not explicit about running audacious without GUI, there should be no such possibility in my opinion.

#4 - March 03, 2015 06:05 - John Lindgren

Marcin Kocur wrote:

Please think about an avarage *buntu user to whom audacious just got broken after upgrade and who doesn't know where to look for

configuration files. I think this is an issue that it is possible to run audacious without a gui (although I know that there are some people who

actually want this). But for majority, if they are not explicit about running audacious without GUI, there should be no such possibility in my

opinion.

 

We do try to think about such users.  And normally, disabling the status icon does show the UI again if it was hidden, exactly to avoid this situation. 

But we can't test all possible scenarios, and that is exactly why your feedback is valuable.  So thank you for taking the time to report the issue!

For the sake of anyone else having the same problem: starting Audacious a second time (e.g. from the system menu) will get the UI back.  There is

no need to use a command line or edit the config file.

#5 - March 06, 2015 19:26 - John Lindgren

- Subject changed from Issues after upgrading audacious (3.5.2-2 -> 3.6-2) to Plugins disabled after upgrading audacious (3.5.2-2 -> 3.6-2)

- Status changed from New to Closed

- Target version set to 3.6.1

- % Done changed from 0 to 100
